#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_SOURCE_DIR}/libkcddb
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TAGLIB_LIBRARY_DIRS}
)


##### libaudiocd_encoder_lame (module) ##########

tde_add_kpart( libaudiocd_encoder_lame AUTOMOC
  SOURCES
    audiocd_lame_encoder.kcfgc
    encoderlame.cpp
    encoderlameconfig.ui
    collectingprocess.cpp
  LINK
    tdeio-shared audiocdplugins-shared ${TAGLIB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES audiocd_lame_encoder.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
